// This file is auto-generated by @hey-api/openapi-ts

export type Action = {
    name: string;
    roles: Array<(string)>;
    params: Array<ActionParam>;
};

export type ActionParam = {
    name: string;
    type: string;
    dflt: string;
};

export type ActionResult = {
    message?: string | null;
    taggedLayers?: Array<TaggedLayer>;
};

export type ActionResults = {
    name?: string | null;
    message?: string | null;
    actionResults?: Array<ActionResult>;
};

export type ActionsResults = {
    message?: string | null;
    actionResults?: Array<ActionResults>;
};

export type ActionsStore = {
    store: string;
    actions: Array<Action>;
};

export type AdminBasket = {
    name: string;
    files: Array<FileImport>;
    columns: Array<(string)>;
    uploadFields: Array<(string)>;
    projects?: Array<Project>;
};

export type Attachment = {
    name: string;
    path: string;
};

export type BaseMapWithStores = {
    name: string;
    stores: Array<(string)>;
};

export type BaseStyle = {
    id?: number | null;
    name: string;
    style?: {
    [key: string]: unknown;
} | null;
    mbtiles?: string | null;
    static_url?: string | null;
    enabled?: boolean;
};

export type BasketDefault = {
    surveyor?: string;
    equipment?: string;
    project?: string;
    status?: string;
    store?: string | null;
};

export type BasketImportResult = {
    time?: string;
    message?: string | null;
    details?: {
    [key: string]: (string | number | boolean);
} | null;
    fileImport?: FileImport | null;
};

export type BasketNameOnly = {
    name: string;
};

export type Body_execute_tag_action_api_execTagActions_post = {
    stores: Array<(string)>;
    ids: Array<Array<(string)>>;
    actionNames: Array<(string)>;
    params: Array<(ActionParam | null)>;
    formFields: Array<FormFieldInput>;
};

export type Body_login_for_access_token_api_token_post = {
    grant_type?: string | null;
    username: string;
    password: string;
    scope?: string;
    client_id?: string | null;
    client_secret?: string | null;
};

export type Body_upload_basket_file_api_admin_basket_upload__name__post = {
    file: (Blob | File);
};

export type BootstrapData = {
    version?: string;
    title?: string;
    windowTitle?: string;
    map?: Map;
    geo?: Geo;
    measures?: Measures;
    redirect?: string;
    user?: UserRead | null;
};

export type CategoryGroup = {
    name?: string | null;
    major: boolean;
    long_name: string;
};

export type CategoryRead = {
    name: string;
    description: string | null;
    group: string;
    minor_group_1?: string;
    minor_group_2?: string;
    status: string;
    custom: boolean | null;
    auto_import?: boolean;
    gis_type?: string;
    long_name: string | null;
    style: string | null;
    symbol: string | null;
    mapbox_type_custom: string | null;
    mapbox_paint: {
    [key: string]: ({
    [key: string]: unknown;
} | Array<unknown> | number | string);
} | null;
    mapbox_layout: {
    [key: string]: ({
    [key: string]: unknown;
} | Array<unknown> | number | string);
} | null;
    viewable_role: string | null;
    extra: {
    [key: string]: unknown;
} | null;
    /**
     * ISO compliant layer name (see ISO 13567)
     * :return: str
     */
    readonly layer_name: string;
    /**
     * Table name
     * :return:
     */
    readonly table_name: string;
    /**
     * Table name
     * :return:
     */
    readonly raw_survey_table_name: string;
    readonly mapbox_type: string;
};

export type Dashboard = {
    name: string;
    group: string;
    description: string;
    time?: string | null;
    html?: string | null;
    attachment?: string | null;
    dfData?: Array<unknown>;
    plotData?: Array<{
    [key: string]: unknown;
}> | null;
    plotLayout?: {
    [key: string]: unknown;
} | null;
    notebook?: string | null;
    expandedPanes?: Array<(string)> | null;
    sections?: Array<DashboardSection> | null;
};

export type DashboardGroup = {
    name: string;
    pages: Array<DashboardPageMetaData>;
};

export type DashboardHome = {
    title: string;
    content: string;
    footer: string;
};

export type DashboardPageMetaData = {
    name: string;
    group: string;
    description: string;
    viewable_role?: string | null;
};

export type DashboardSection = {
    name: string;
    plot: string;
};

export type DataProvider = {
    store: string;
    name: string;
    values: Array<(string)>;
};

export type Downloader = {
    roles?: Array<(string)>;
    name: string;
    icon: string | null;
};

export type Equipment = {
    id?: number | null;
    name: string;
};

export type FeatureInfo = {
    id: string;
    itemName: string;
    geoInfoItems?: Array<InfoItem>;
    surveyInfoItems?: Array<InfoItem>;
    infoItems?: Array<InfoItem>;
    categorizedInfoItems?: Array<InfoCategory> | null;
    tags?: Array<Tag>;
    graph?: string | null;
    plotParams?: PlotParams | null;
    files?: Array<Attachment>;
    images?: Array<Attachment>;
    externalRecordUrl?: string | null;
};

/**
 * Files to import or imported in the DB.
 * Give either url or path.
 */
export type FileImport = {
    id?: number | null;
    url?: string | null;
    dir: string;
    name: string;
    md5: string;
    time?: string | null;
    comment?: string | null;
    status?: string | null;
    store?: string | null;
    basket: string;
    project_id: number | null;
    surveyor_id: number | null;
    equipment_id: number | null;
    readonly path: string;
};

export type FormField = {
    name: string;
    type: string;
    dflt?: string | null;
    value?: string | null;
};

export type FormFieldInput = {
    name: string;
    value: string;
};

export type Geo = {
    raw_survey?: RawSurvey;
    simplify_geom_factor?: number;
    simplify_preserve_topology?: boolean;
    srid?: number;
    srid_for_proj?: number;
};

export type HTTPValidationError = {
    detail?: Array<ValidationError>;
};

export type InfoCategory = {
    name: string;
    infoItems: Array<InfoItem>;
};

export type InfoItem = {
    key: string;
    value: string | number;
};

export type LegendItem = {
    key: string;
    value: string;
};

export type Map = {
    tileServer?: TileServer;
    zoom?: number;
    pitch?: number;
    lat?: number;
    lng?: number;
    bearing?: number;
    style?: string;
    opacity?: number;
    attribution?: string;
    status?: Array<(string)>;
    defaultStatus?: Array<(string)>;
    tagKeys?: Array<(string)>;
};

export type MapInitData = {
    baseStyles?: Array<BaseStyle>;
    baseMaps?: Array<BaseMapWithStores>;
    groups?: Array<CategoryGroup>;
    stores?: Array<Store>;
};

export type MaplibreStyle = {
    paint?: {
    [key: string]: ({
    [key: string]: unknown;
} | Array<unknown> | boolean | number | string);
} | null;
    layout?: {
    [key: string]: ({
    [key: string]: unknown;
} | Array<unknown> | boolean | number | string);
} | null;
    attribution?: string | null;
};

export type Measures = {
    defaultStore?: string | null;
};

export type MeasuresItem = {
    id: number;
    name: string;
};

export type ModelAction = {
    name: string;
    icon: string;
    roles?: Array<(string)> | null;
    formFields: Array<FormField>;
};

export type ModelInfo = {
    store: string;
    modelName: string;
    symbol?: string | null;
    values?: Array<ModelValue>;
    actions?: Array<ModelAction>;
    formName?: string | null;
    formFields?: Array<FormField>;
    tagPlugins?: Array<(string)>;
    tagActions?: Array<TagActions>;
    downloaders?: Array<Downloader>;
    legend?: Array<LegendItem>;
};

export type ModelValue = {
    name: string;
    title: string;
    unit: string;
    chartType?: string;
    chartColor?: string;
};

export type PlotBaseLine = {
    name: string;
    value: number;
    color: string;
};

export type PlotBgShape = {
    name: string;
    valueTop: number;
    valueBottom: number;
    color: string;
};

export type PlotParams = {
    baseLines?: Array<PlotBaseLine>;
    bgShapes?: Array<PlotBgShape>;
    barBase?: number | null;
};

export type Project = {
    id?: number | null;
    name: string;
    contact_person: string;
    site: string;
    date_approved: string;
    start_date_planned: string;
    start_date_effective: string;
    end_date_planned: string;
    end_date_effective: string;
};

export type RawSurvey = {
    spatial_sys_ref?: SpatialSysRef;
    srid?: number;
};

export type RoleRead = {
    name: string;
    id: number;
    users?: Array<UserReadNoRoles>;
};

export type RoleReadNoUsers = {
    name: string;
    id: number;
};

export type SpatialSysRef = {
    author?: string;
    ellps?: string;
    k?: number;
    lat_0?: number;
    lon_0?: number;
    no_defs?: boolean;
    proj?: string;
    towgs84?: string;
    units?: string;
    x_0?: number;
    y_0?: number;
};

export type Store = {
    name: string;
    category?: string | null;
    auto_import: boolean;
    count?: number | null;
    custom: boolean;
    description: string;
    gis_type: string;
    group: string;
    in_menu: boolean;
    is_db: boolean;
    is_line_work: boolean;
    is_live: boolean;
    long_name: string | null;
    type: string;
    minor_group_1: string | null;
    minor_group_2: string | null;
    status: string;
    style: string | null;
    symbol: string | null;
    title: string;
    viewable_role?: string | null;
    z_index?: number;
};

export type StoreNameOnly = {
    name: string;
};

export type SurveyMeta = {
    projects: Array<Project>;
    surveyors: Array<Surveyor>;
    equipments: Array<Equipment>;
    statuses: Array<(string)>;
    stores_misc: Array<StoreNameOnly>;
    stores_line_work: Array<StoreNameOnly>;
    default: BasketDefault;
};

export type Surveyor = {
    id?: number | null;
    name: string;
};

export type Tag = {
    key: string;
    value: string;
};

export type TagAction = {
    name: string;
    action: string;
    roles?: Array<(string)> | null;
    link?: string | null;
    save?: boolean;
};

export type TagActions = {
    domain: string;
    key: string;
    actions: Array<TagAction>;
};

export type TaggedFeature = {
    id: string;
    tags: Tags;
    lat: number;
    lon: number;
};

export type TaggedLayer = {
    store: string;
    taggedFeatures: Array<TaggedFeature>;
};

export type Tags = {
    id?: number | null;
    geom: string;
    store: string;
    ref_id: number;
    tags: {
        [key: string]: unknown;
    };
};

export type TileServer = {
    baseDir?: string;
    useRequestUrl?: boolean;
    spriteBaseDir?: string;
    spriteUrl?: string;
    spriteBaseUrl?: string;
    openMapTilesKey?: string | null;
};

export type Token = {
    access_token: string;
    token_type: string;
};

export type UserRead = {
    username: string;
    email: string | null;
    disabled?: boolean | null;
    id: number;
    roles?: Array<RoleReadNoUsers>;
};

export type UserReadNoRoles = {
    username: string;
    email: string | null;
    disabled?: boolean | null;
    id: number;
};

export type UserRoleLink = {
    user_id?: number | null;
    role_id?: number | null;
};

export type ValidationError = {
    loc: Array<(string | number)>;
    msg: string;
    type: string;
};

export type BootstrapApiBootstrapGetResponse = BootstrapData;

export type LoginForAccessTokenApiTokenPostData = {
    formData: Body_login_for_access_token_api_token_post;
};

export type LoginForAccessTokenApiTokenPostResponse = Token;

export type LogoutApiLogoutGetResponse = unknown;

export type GetUsersApiUsersGetResponse = Array<UserRead>;

export type GetRolesApiRolesGetResponse = Array<RoleRead>;

export type GetAclsApiAclsGetResponse = Array<UserRoleLink>;

export type GetCategoriesApiCategoriesGetResponse = Array<CategoryRead>;

export type GetCategoriesPapiCategoriesPandasGetResponse = Array<CategoryRead>;

export type ListDataProvidersApiDataProvidersGetResponse = Array<DataProvider>;

export type GetModelListApiDataProviderStoreGetData = {
    store: string;
};

export type GetModelListApiDataProviderStoreGetResponse = Array<MeasuresItem>;

export type GetModelValuesApiStoreNameValuesValueGetData = {
    resample?: string | null;
    storeName: string;
    value: string;
    where: string;
};

export type GetModelValuesApiStoreNameValuesValueGetResponse = unknown;

export type GetStoresApiStoresGetResponse = Array<Store>;

export type GetProjectsApiProjectsGetResponse = Array<Project>;

export type GetSurveyMetaApiSurveyMetaGetResponse = SurveyMeta;

export type GetFeatureInfoApiFeatureInfoStoreIdGetData = {
    id: string;
    store: string;
};

export type GetFeatureInfoApiFeatureInfoStoreIdGetResponse = FeatureInfo | null;

export type GetModelInfoApiModelInfoStoreGetData = {
    store: string;
};

export type GetModelInfoApiModelInfoStoreGetResponse = ModelInfo;

export type GetPlotParamsApiPlotParamsStoreGetData = {
    id: string;
    store: string;
    value: string;
};

export type GetPlotParamsApiPlotParamsStoreGetResponse = PlotParams;

export type GetActionsApiActionsGetResponse = Array<ActionsStore>;

export type ExecuteTagActionApiExecTagActionsPostData = {
    requestBody: Body_execute_tag_action_api_execTagActions_post;
};

export type ExecuteTagActionApiExecTagActionsPostResponse = ActionsResults;

export type GetGeojsonApiGjStoreNameGetData = {
    ifNoneMatch?: string | null;
    preserveTopology?: boolean | null;
    simplify?: number | null;
    storeName: unknown;
};

export type GetGeojsonApiGjStoreNameGetResponse = unknown;

export type GetBasketsApiAdminBasketGetResponse = Array<BasketNameOnly>;

export type GetBasketApiAdminBasketNameGetData = {
    name: string;
};

export type GetBasketApiAdminBasketNameGetResponse = AdminBasket;

export type UploadBasketFileApiAdminBasketUploadNamePostData = {
    autoImport?: boolean;
    equipmentId?: number | null;
    formData: Body_upload_basket_file_api_admin_basket_upload__name__post;
    name: string;
    projectId?: number | null;
    surveyorId?: number | null;
};

export type UploadBasketFileApiAdminBasketUploadNamePostResponse = BasketImportResult;

export type DownloadBasketFileApiAdminBasketDownloadNameFileIdFileNameGetData = {
    fileId: number;
    fileName: string;
    name: string;
};

export type DownloadBasketFileApiAdminBasketDownloadNameFileIdFileNameGetResponse = unknown;

export type ImportBasketFileApiAdminBasketImportBasketFileIdGetData = {
    basket: string;
    dryRun?: boolean;
    fileId: number;
};

export type ImportBasketFileApiAdminBasketImportBasketFileIdGetResponse = BasketImportResult;

export type DeleteBasketFileApiAdminBasketDeleteBasketFileIdGetData = {
    basket: string;
    fileId: number;
};

export type DeleteBasketFileApiAdminBasketDeleteBasketFileIdGetResponse = unknown;

export type GetGroupsApiDashboardGroupsGetResponse = Array<DashboardGroup>;

export type GetHomeApiDashboardHomeGetResponse = DashboardHome;

export type GetDashboardPageApiDashboardPageGroupNameGetData = {
    group: string;
    name: string;
};

export type GetDashboardPageApiDashboardPageGroupNameGetResponse = Dashboard;

export type GetInitDataApiMapInitDataGetResponse = MapInitData;

export type GetBaseStyleApiMapBaseStyleNameGetData = {
    name: string;
};

export type GetBaseStyleApiMapBaseStyleNameGetResponse = BaseStyle;

export type GetLayerStyleApiMapLayerStyleStoreGetData = {
    store: string;
};

export type GetLayerStyleApiMapLayerStyleStoreGetResponse = MaplibreStyle | null;

export type DownloadCsvApiDownloadCsvStoreModelIdValueResampleGetData = {
    modelId: number;
    resample: string;
    store: string;
    value: string;
};

export type DownloadCsvApiDownloadCsvStoreModelIdValueResampleGetResponse = unknown;

export type DownloadGeodataApiDownloadGeodataStoresGetData = {
    format?: string;
    reproject?: boolean;
    stores: string;
};

export type DownloadGeodataApiDownloadGeodataStoresGetResponse = unknown;

export type ExecuteActionApiDownloadPluginNameStoreIdGetData = {
    id: number;
    name: string;
    store: string;
};

export type ExecuteActionApiDownloadPluginNameStoreIdGetResponse = unknown;

export type $OpenApiTs = {
    '/api/bootstrap': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: BootstrapData;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/token': {
        post: {
            req: LoginForAccessTokenApiTokenPostData;
            res: {
                /**
                 * Successful Response
                 */
                200: Token;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/logout': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/users': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<UserRead>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/roles': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<RoleRead>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/acls': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<UserRoleLink>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/categories': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<CategoryRead>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/categories_pandas': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<CategoryRead>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/data-providers': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<DataProvider>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/data-provider/{store}': {
        get: {
            req: GetModelListApiDataProviderStoreGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: Array<MeasuresItem>;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/{store_name}/values/{value}': {
        get: {
            req: GetModelValuesApiStoreNameValuesValueGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/stores': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<Store>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/projects': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<Project>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/survey_meta': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: SurveyMeta;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/feature-info/{store}/{id}': {
        get: {
            req: GetFeatureInfoApiFeatureInfoStoreIdGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: FeatureInfo | null;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/model-info/{store}': {
        get: {
            req: GetModelInfoApiModelInfoStoreGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: ModelInfo;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/plot-params/{store}': {
        get: {
            req: GetPlotParamsApiPlotParamsStoreGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: PlotParams;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/actions': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<ActionsStore>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/execTagActions': {
        post: {
            req: ExecuteTagActionApiExecTagActionsPostData;
            res: {
                /**
                 * Successful Response
                 */
                200: ActionsResults;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/gj/{store_name}': {
        get: {
            req: GetGeojsonApiGjStoreNameGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/admin/basket': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<BasketNameOnly>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/admin/basket/{name}': {
        get: {
            req: GetBasketApiAdminBasketNameGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: AdminBasket;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/admin/basket/upload/{name}': {
        post: {
            req: UploadBasketFileApiAdminBasketUploadNamePostData;
            res: {
                /**
                 * Successful Response
                 */
                200: BasketImportResult;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/admin/basket/download/{name}/{file_id}/{file_name}': {
        get: {
            req: DownloadBasketFileApiAdminBasketDownloadNameFileIdFileNameGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/admin/basket/import/{basket}/{file_id}': {
        get: {
            req: ImportBasketFileApiAdminBasketImportBasketFileIdGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: BasketImportResult;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/admin/basket/delete/{basket}/{file_id}': {
        get: {
            req: DeleteBasketFileApiAdminBasketDeleteBasketFileIdGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/dashboard/groups': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: Array<DashboardGroup>;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/dashboard/home': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: DashboardHome;
                /**
                 * Not found
                 */
                404: unknown;
            };
        };
    };
    '/api/dashboard/page/{group}/{name}': {
        get: {
            req: GetDashboardPageApiDashboardPageGroupNameGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: Dashboard;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/map/init-data': {
        get: {
            res: {
                /**
                 * Successful Response
                 */
                200: MapInitData;
            };
        };
    };
    '/api/map/base_style/{name}': {
        get: {
            req: GetBaseStyleApiMapBaseStyleNameGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: BaseStyle;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/map/layer_style/{store}': {
        get: {
            req: GetLayerStyleApiMapLayerStyleStoreGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: MaplibreStyle | null;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/download/csv/{store}/{model_id}/{value}/{resample}': {
        get: {
            req: DownloadCsvApiDownloadCsvStoreModelIdValueResampleGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/download/geodata/{stores}': {
        get: {
            req: DownloadGeodataApiDownloadGeodataStoresGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
    '/api/download/plugin/{name}/{store}/{id}': {
        get: {
            req: ExecuteActionApiDownloadPluginNameStoreIdGetData;
            res: {
                /**
                 * Successful Response
                 */
                200: unknown;
                /**
                 * Not found
                 */
                404: unknown;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
};